#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name: libkdegames
Summary: KDE - Games
Version: 16.12.3
Release: %mkrel %{rel}
Epoch: 1
Group: Graphical desktop/KDE
License: GPLv2 and LGPLv2 and GFDL
URL: http://games.kde.org/
Source: http://download.kde.org/stable/%version/src/libkdegames-%version.tar.xz
BuildRequires: pkgconfig(openal)
BuildRequires: pkgconfig(sndfile)

BuildRequires:  pkgconfig(Qt5Widgets) 
BuildRequires:  pkgconfig(Qt5Qml) 
BuildRequires:  pkgconfig(Qt5Quick) 
BuildRequires:  pkgconfig(Qt5QuickWidgets) 
BuildRequires:  pkgconfig(Qt5Svg) 
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  kf5-macros
BuildRequires:  kcoreaddons-devel
BuildRequires:  kconfig-devel
BuildRequires:  kwidgetsaddons-devel 
BuildRequires:  kcodecs-devel 
BuildRequires:  karchive-devel    
BuildRequires:  kdbusaddons-devel 
BuildRequires:  kdnssd-devel 
BuildRequires:  kdeclarative-devel
BuildRequires:  ki18n-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  kservice-devel
BuildRequires:  kconfigwidgets-devel 
BuildRequires:  kitemviews-devel 
BuildRequires:  kiconthemes-devel 
BuildRequires:  kcompletion-devel 
BuildRequires:  kjobwidgets-devel 
BuildRequires:  ktextwidgets-devel 
BuildRequires:  kglobalaccel-devel 
BuildRequires:  kxmlgui-devel 
BuildRequires:  kcrash-devel 
BuildRequires:  kbookmarks-devel 
BuildRequires:  kio-devel 
BuildRequires:  knewstuff-devel 
BuildRequires:  kdelibs4support-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

%description
This packages provides common code and data for many KDE games.

#-------------------------------------------------------------------------------

%package common
Summary: Common files needed by KDE games
BuildArch: noarch
Obsoletes: kdegames4-core < 1:4.9.80
Conflicts: kdegames4-core < 1:4.9.80
Conflicts: bovo < 1:4.6.0

%description common
This package provides common files needed by KDE games such as carddecks for KDE
cardgames.

%files common
%_kf5_datadir/carddecks
%_kf5_datadir/kconf_update/kgthemeprovider-migration.upd

#------------------------------------------------------------------------------

%package corebindings
Summary: Qml plugin for kdegames

%description corebindings
Qml plugins for kdegames

%files corebindings
%_kf5_qmldir/org/kde/games

#-------------------------------------------------------------------------------

%define libkdegames_major 7
%define libkdegames %mklibname kf5kdegames %libkdegames_major

%package -n %libkdegames
Summary: Runtime Library for kdegames
Group: System/Libraries

%description -n %libkdegames
Runtime Library for kdegames

%files -n %libkdegames
%_kf5_libdir/libKF5KDEGames.so.%{libkdegames_major}*

#-------------------------------------------------------------------------------

%define libkdegamesprivate_major 1
%define libkdegamesprivate %mklibname kf5kdegamesprivate 1

%package -n %libkdegamesprivate
Summary: Runtime Library for kdegames
Group: System/Libraries

%description -n %libkdegamesprivate
Runtime Library for kdegames

%files -n %libkdegamesprivate
%_kf5_libdir/libKF5KDEGamesPrivate.so.%{libkdegamesprivate_major}*

#-------------------------------------------------------------------------------

%define libkdegames_devel %mklibname kdegames -d

%package -n %libkdegames_devel
Summary: Headers files for libkdegames
Group: Development/KDE and Qt
Conflicts: kdegames4-devel < 1:4.9.80
Obsoletes: kdegames4-devel < 1:4.9.80
Provides: kdegames-devel = %epoch:%version
Provides: libkdegames-devel = %epoch:%version
Requires: %libkdegames = %epoch:%version
Requires: %libkdegamesprivate = %epoch:%version

Requires: pkgconfig(Qt5Widgets)
Requires: pkgconfig(Qt5Xml)
Requires: pkgconfig(Qt5Network)
Requires: pkgconfig(Qt5QuickWidgets)
Requires: pkgconfig(Qt5Qml)
Requires: kconfig-devel
Requires: ki18n-devel
Requires: kwidgetsaddons-devel
Requires: kconfigwidgets-devel
Requires: kcompletion-devel
Requires: kdelibs4support-devel

%description -n %libkdegames_devel
Headers files needed to build applications based on kdegames applications.

%files -n %libkdegames_devel
%_kf5_libdir/cmake/KF5KDEGames
%_kf5_libdir/*.so
%_kf5_includedir/KF5KDEGames

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=/usr/bin/ld.gold 
%cmake_kf5
%make

%install
%makeinstall_std -C build


%changelog
* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090144
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076886
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 1:16.11.90-1.mga6
+ Revision: 1072079
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 1:16.08.3-1.mga6
+ Revision: 1067398
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 1:16.08.2-1.mga6
+ Revision: 1061461
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 1:16.08.1-1.mga6
+ Revision: 1050724
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 1:16.08.0-1.mga6
+ Revision: 1047373
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 1:16.04.3-1.mga6
+ Revision: 1040127
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 1:16.04.1-2.mga6
+ Revision: 1012994
- Rebuild post boostrap
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 1:16.04.0-1.mga6
+ Revision: 1004406
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 1:16.03.80-1.mga6
+ Revision: 994973
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 1:15.12.3-1.mga6
+ Revision: 991249
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 1:15.12.2-1.mga6
+ Revision: 987527
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 1:15.12.1-1.mga6
+ Revision: 922691
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 1:15.12.0-1.mga6
+ Revision: 911971
- New version 15.12.0

* Tue Nov 24 2015 neoclust <neoclust> 1:15.11.80-1.mga6
+ Revision: 905708
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 1:15.08.3-1.mga6
+ Revision: 901165
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 1:15.08.2-1.mga6
+ Revision: 890646
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 1:15.08.1-1.mga6
+ Revision: 880458
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 1:15.08.0-1.mga6
+ Revision: 865976
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 1:15.07.90-2.mga6
+ Revision: 863789
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 1:15.07.90-1.mga6
+ Revision: 861789
- New version 15.07.90

* Thu Jul 30 2015 neoclust <neoclust> 1:15.07.80-1.mga6
+ Revision: 859264
- New version 15.07.80

* Tue Jul 21 2015 neoclust <neoclust> 1:15.04.3-3.mga6
+ Revision: 856025
- Fix typo in requires

* Tue Jul 21 2015 neoclust <neoclust> 1:15.04.3-2.mga6
+ Revision: 856014
- Fix requires in the devel package

* Tue Jul 21 2015 neoclust <neoclust> 1:15.04.3-1.mga6
+ Revision: 856013
- New version 15.04.3

* Wed Dec 03 2014 lmenut <lmenut> 1:4.14.3-1.mga5
+ Revision: 800664
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 1:4.14.2-1.mga5
+ Revision: 787762
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.14.1-2.mga5
+ Revision: 745394
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.14.1-1.mga5
+ Revision: 734616
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 1:4.14.0-2.mga5
+ Revision: 681554
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 1:4.14.0-1.mga5
+ Revision: 667549
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.97-1.mga5
+ Revision: 663061
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.95-1.mga5
+ Revision: 656739
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.90-1.mga5
+ Revision: 653924
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.80-1.mga5
+ Revision: 652035
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636798
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625565
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615646
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609458
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606899
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 1:4.12.90-1.mga5
+ Revision: 603406
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 600740
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 1:4.12.2-1.mga5
+ Revision: 590527
- New version 4.12.2

* Tue Feb 04 2014 neoclust <neoclust> 1:4.11.5-1.mga5
+ Revision: 580774
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 555058
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551330
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 539800
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490738
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476828
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465179
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458976
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455362
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 447937
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 1:4.10.4-1.mga4
+ Revision: 435300
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 1:4.10.3-1.mga4
+ Revision: 428408
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407223
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401936
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394394
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 357591
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 lmenut <lmenut> 1:4.9.97-1.mga3
+ Revision: 339971
- libkdegames-devel: obsoletes kdegames4-devel < 4.9.80

  + mikala <mikala>
    - Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334555
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326757
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Sun Nov 18 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 319272
- imported package libkdegames

